Cannot find Wemo using Hassbian

I use the hassbian and try to set up wemo on it. Wemo cannot be autoatically discovered though I have enabled discover in my yaml file.

My yaml is like this:

image

And my HA log has many errors,
2017-12-07 23:44:28 WARNING (MainThread) [homeassistant.setup] Setup of wemo is taking over 10 seconds.
2017-12-07 23:44:35 ERROR (MainThread) [homeassistant.setup] Error during setup of component wemo
Traceback (most recent call last):
File “/srv/homeassistant/lib/python3.5/site-packages/urllib3/connectionpool.py”, line 387, in _make_request
six.raise_from(e, None)
File “”, line 2, in raise_from
File “/srv/homeassistant/lib/python3.5/site-packages/urllib3/connectionpool.py”, line 383, in _make_request
httplib_response = conn.getresponse()
File “/usr/lib/python3.5/http/client.py”, line 1198, in getresponse
response.begin()
File “/usr/lib/python3.5/http/client.py”, line 297, in begin
version, status, reason = self._read_status()
File “/usr/lib/python3.5/http/client.py”, line 258, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), “iso-8859-1”)
File “/usr/lib/python3.5/socket.py”, line 576, in readinto
return self._sock.recv_into(b)
socket.timeout: timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/srv/homeassistant/lib/python3.5/site-packages/requests/adapters.py”, line 440, in send
timeout=timeout
File “/srv/homeassistant/lib/python3.5/site-packages/urllib3/connectionpool.py”, line 639, in urlopen
_stacktrace=sys.exc_info()[2])
File “/srv/homeassistant/lib/python3.5/site-packages/urllib3/util/retry.py”, line 357, in increment
raise six.reraise(type(error), error, _stacktrace)
File “/srv/homeassistant/lib/python3.5/site-packages/urllib3/packages/six.py”, line 686, in reraise
raise value
File “/srv/homeassistant/lib/python3.5/site-packages/urllib3/connectionpool.py”, line 601, in urlopen
chunked=chunked)
File “/srv/homeassistant/lib/python3.5/site-packages/urllib3/connectionpool.py”, line 389, in _make_request
self._raise_timeout(err=e, url=url, timeout_value=read_timeout)
File “/srv/homeassistant/lib/python3.5/site-packages/urllib3/connectionpool.py”, line 309, in _raise_timeout
raise ReadTimeoutError(self, url, “Read timed out. (read timeout=%s)” % timeout_value)
urllib3.exceptions.ReadTimeoutError: HTTPConnectionPool(host=‘192.168.1.10’, port=49153): Read timed out. (read timeout=10)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/srv/homeassistant/lib/python3.5/site-packages/homeassistant/setup.py”, line 193, in _async_setup_component
component.setup, hass, processed_config)
File “/usr/lib/python3.5/asyncio/futures.py”, line 380, in iter
yield self # This tells Task to wait for completion.
File “/usr/lib/python3.5/asyncio/tasks.py”, line 304, in _wakeup
future.result()
File “/usr/lib/python3.5/asyncio/futures.py”, line 293, in result
raise self._exception
File “/usr/lib/python3.5/concurrent/futures/thread.py”, line 55, in run
result = self.fn(*self.args, **self.kwargs)
File “/srv/homeassistant/lib/python3.5/site-packages/homeassistant/components/wemo.py”, line 89, in setup
port = pywemo.ouimeaux_device.probe_wemo(address)
File “/srv/homeassistant/lib/python3.5/site-packages/pywemo/ouimeaux_device/init.py”, line 30, in probe_wemo
timeout=10)
File “/srv/homeassistant/lib/python3.5/site-packages/requests/api.py”, line 72, in get
return request(‘get’, url, params=params, **kwargs)
File “/srv/homeassistant/lib/python3.5/site-packages/requests/api.py”, line 58, in request
return session.request(method=method, url=url, **kwargs)
File “/srv/homeassistant/lib/python3.5/site-packages/requests/sessions.py”, line 508, in request
resp = self.send(prep, **send_kwargs)
File “/srv/homeassistant/lib/python3.5/site-packages/requests/sessions.py”, line 618, in send
r = adapter.send(request, **kwargs)
File “/srv/homeassistant/lib/python3.5/site-packages/requests/adapters.py”, line 521, in send
raise ReadTimeout(e, request=request)
requests.exceptions.ReadTimeout: HTTPConnectionPool(host=‘192.168.1.10’, port=49153): Read timed out. (read timeout=10)
2017-12-07 23:44:35 ERROR (MainThread) [homeassistant.setup] Unable to setup dependencies of switch.wemo. Setup failed for dependencies: wemo
2017-12-07 23:44:35 ERROR (MainThread) [homeassistant.setup] Unable to prepare setup for platform switch.wemo: Could not setup all dependencies.
2017-12-07 23:44:48 ERROR (MainThread) [homeassistant.setup] Unable to setup dependencies of switch.wemo. Setup failed for dependencies: wemo
2017-12-07 23:44:48 ERROR (MainThread) [homeassistant.setup] Unable to prepare setup for platform switch.wemo: Could not setup all dependencies.
2017-12-07 23:44:48 ERROR (MainThread) [homeassistant.setup] Unable to setup dependencies of switch.wemo. Setup failed for dependencies: wemo
2017-12-07 23:44:48 ERROR (MainThread) [homeassistant.setup] Unable to prepare setup for platform switch.wemo: Could not setup all dependencies.
2017-12-07 23:44:48 ERROR (MainThread) [homeassistant.setup] Unable to setup dependencies of switch.wemo. Setup failed for dependencies: wemo
2017-12-07 23:44:48 ERROR (MainThread) [homeassistant.setup] Unable to prepare setup for platform switch.wemo: Could not setup all dependencies.
2017-12-07 23:44:48 ERROR (MainThread) [homeassistant.setup] Unable to setup dependencies of switch.wemo. Setup failed for dependencies: wemo
2017-12-07 23:44:48 ERROR (MainThread) [homeassistant.setup] Unable to prepare setup for platform switch.wemo: Could not setup all dependencies.
2017-12-07 23:44:58 WARNING (MainThread) [homeassistant.components.media_player] Setup of platform cast is taking over 10 seconds.
2017-12-07 23:44:59 WARNING (MainThread) [homeassistant.components.media_player] Setup of platform cast is taking over 10 seconds.
2017-12-07 23:44:59 WARNING (MainThread) [homeassistant.components.media_player] Setup of platform cast is taking over 10 seconds.

Thanks a lot for your help.

There’s definitely something wrong with Wemo right now, we’ve got another thread showing these same issues too. I just did a brand new from scratch install tonight and its not working out of the box at all, so its gotta be something that was updated between .56 and now.

Thanks LazerPanther. When I use Hass.io, all the wemo devices can be discovered with no problem. Only Hassbian has this issue…

hass.io on a raspberry pi here, same issues.
wemo light is recognized,
wemo switch not, even after some tinkering.

I think all my wemo plug/switch are all good when i use Hass.io. The problem only happens when I use Hassbian. However, in hass.io, I cannot even use most of the ssh functionalities… That is a pain for hass.io